<div class="control-pannel__top">
    <div class="control-pannel__top--left">
        
        <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
            <input type="radio" class="btn-check" name="btnradio" id="btnradio1" autocomplete="off" value="SITE_DATA" [(ngModel)]="sidePanleData">
            <label class="btn btn-outline-primary" for="btnradio1">
                <i class="bi bi-map me-1"></i> Site Data</label>
          
            <input type="radio" class="btn-check" name="btnradio" id="btnradio2" autocomplete="off" checked value="EQ_LIST" [(ngModel)]="sidePanleData">
            <label class="btn btn-outline-primary" for="btnradio2">
                 <i class="bi bi-gear-wide-connected me-1"></i> Equipment List</label>
        </div>


    </div>
    <div class="control-pannel__top--right">
        <!-- <button class="control-pannel__bottom--button" (click)="toggleGirdHelper()" >
            Show / Hide Grid {{isGridHelperReuired}}
        </button> -->
    </div>
</div>

<div class="control-pannel__side" [ngClass]="{'hide': !showSidePanel}">

    <div class="control-pannel__side-container shadow" [ngClass]="{'hide': !showSidePanel}" >   

        <ng-container *ngIf="sidePanleData == 'EQ_LIST'">
            <div class="control-pannel__side-container-button text-center border-bottom">
                <button type="button" class="btn btn-block"  data-bs-toggle="modal" data-bs-target="#addComponentModal" > 
                    <i class="bi bi-plus-square me-2"></i> Add Component
                </button>
            </div>
            <ul class="control-pannel__side-container-list">
            
                <li >
                    <span *ngIf="model?.name" >
                        <!-- <i *ngIf="selectedModel?.name == model?.name" class="bi bi-check2 text-success"></i>  -->
                        <i class="bi bi-map text-primary"></i>  {{model?.name}} (GLB)
                    </span>
                    <span>
                        <!-- <a href="javascript:void(0)">
                            <i class="bi bi-trash3 text-danger"></i>
                        </a> -->
                    </span>
                
                </li>
                <ng-container *ngFor="let obj of objects">
                    <li >
                    
        
                        <span  (click)="onSelectModel(obj, true)" >
                            <i *ngIf="selectedModel?.name == obj?.name" class="bi bi-check2 text-success "></i>   {{obj.name}}
                        </span>
                        <span>
                            <i *ngIf="obj?.visible" class="bi bi-eye me-2"></i>
                            <i *ngIf="!obj?.visible"  class="bi bi-eye-slash-fill me-2"></i>


                            <a href="javascript:void(0)" (click)="showInfoModal = true" class=" me-2" >
                                <i *ngIf="selectedModel?.name == obj?.name"  class="bi bi-info-circle text-primary"></i>
                            </a>

                            <a href="javascript:void(0)" (click)="removeOBJ(obj)" >
                                <i class="bi bi-trash3 text-danger"  ></i>
                            </a>
                        </span>
                    </li>
                </ng-container>
            </ul>
        </ng-container>
        <ng-container *ngIf="sidePanleData == 'SITE_DATA'">
            <div class="control-pannel__side-container control-pannel__side-container-site-data ">
                <h5 class="border-bottom p-2">Site Data</h5>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <span>Site Name</span>
                        <span>{{model?.name}}</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Site ID</span>
                        <span>9159</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Site Owner</span>
                        <span>Vodafone</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Structure Type</span>
                        <span>4 Legged</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Structure Height</span>
                        <span>66.50 m</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Latitude</span>
                        <span>45.69705556</span>	
                    </li>
                    <li class="list-group-item">
                        <span>Longitude</span>
                        <span>25.58344167</span>	
                    </li>
            
                </ul>
            </div>
        </ng-container>
    </div>
    <div class="hide_show_btn" (click)="showSidePanel = !showSidePanel" >
        <i *ngIf="showSidePanel" class="bi bi-x-lg"></i>
        <i *ngIf="!showSidePanel" class="bi bi-chevron-compact-right"></i>

    </div>
</div>

<div class="main-layout">
    <canvas #canvas id="canvas" ></canvas>
</div>


<div class="control-pannel__main-layout shadow" [ngClass]="{'hide': !showTopRightPanel}" >
  <div class="control-pannel__main-layout-container "  [ngClass]="{'hide': !showTopRightPanel}" >
        <p class="">{{model?.name}} (GLB)</p>
        <span class="label-flex">
            <label for="mainLayoutHorRotate" class="form-label">Horizontal Rotate <i class="bi bi-arrow-left-right"></i></label>

            <span>
                <!-- ({{glbRotateY}} &deg;)  -->
                <a href="javascript:void(0)" (click)="resetRotateGLBY()" style="text-decoration: none;
                color: #bebebe;" >
                <span style="font-size: .7rem;">(Back to position) </span> <i class="bi bi-arrow-counterclockwise text-primary"></i>
                </a>
            </span>
            
        </span>
        <input type="range" class="form-range" id="mainLayoutHorRotate" [(ngModel)]="glbRotateY" min="-3" max="3" step="0.1" (input)="rotateGLBY()"  [disabled]="!model" >
  </div>
  <div class="hide_show_btn" [ngClass]="{'hide': !showTopRightPanel}" (click)="showTopRightPanel = !showTopRightPanel" >
        <i *ngIf="showTopRightPanel" class="bi bi-x-lg"></i>
        <i *ngIf="!showTopRightPanel" class="bi bi-chevron-compact-down"></i>

    </div>
</div>

<div *ngIf="showInfoModal" class="info-modal shadow">
    <div class="d-flex justify-content-between">
        <p>Asset Information</p>

        <a href="javascript:void(0)" (click)="showInfoModal = false" class=" me-2" >
            <i  class="bi bi-x-lg"></i>
        </a>
    </div>
    <img [src]="'../../assets/'+ selectedModel.realName +'.png'" alt="ASSET IMAGE" class="info-modal__image">
    <ul class="list-group list-group-flush info-modal__list">
        <li class="list-group-item">
            <span>Asset Name</span>
            <span>RF 4</span>	
        </li>
        <li class="list-group-item">
            <span>Asset Type</span>
            <span>RF Antenna</span>	
        </li>
        <li class="list-group-item">
            <span>Leg</span>
            <span>2</span>	
        </li>
        <li class="list-group-item">
            <span>Diameter</span>
            <span>0.31m</span>	
        </li>
        <li class="list-group-item">
            <span>Azimuth Angle</span>
            <span>9 Degree</span>	
        </li>
        <li class="list-group-item">
            <span>Height from the Ground</span>
            <span>40.96m</span>	
        </li>
        <li class="list-group-item">
            <span>Manufacturer</span>
            <span>Vodafone</span>	
        </li>

    </ul>

</div>

<div class="control-pannel__bottom">
    <div>
        <button class="btn control-pannel__bottom--button" [ngClass]="isGridHelperReuired ? 'btn-primary' : ''"  (click)="toggleGirdHelper()" >
            <i class="bi bi-grid-3x3"></i> <br>
            GRID
        </button>
    </div>
 
   <div >
        <button class="btn control-pannel__bottom--button" (click)="toggleController()"  [ngClass]="{'btn-primary': selectedModel && enableControls}"  [disabled]="!selectedModel" >
            <i *ngIf="!enableControls" class="bi bi-circle"></i>
            <i *ngIf="enableControls" class="bi bi-record-circle"></i> <br>
            {{!enableControls ? 'Enable ' : 'Disbale'}} Control
        </button>
        <button class="btn control-pannel__bottom--button" (click)="setControllerMode('translate')"  [ngClass]="{'btn-primary': controllerType == 'translate' && selectedModel && enableControls}"  [disabled]="!selectedModel || !enableControls" >
            <i class="bi bi-arrows-move"></i> <br>
            Orbital Control
        </button>
        <button class="btn control-pannel__bottom--button" (click)="setControllerMode('rotate')" [ngClass]="{'btn-primary': controllerType == 'rotate' && selectedModel && enableControls}" [disabled]="!selectedModel || !enableControls" >
            <i class="bi bi-globe2"></i> <br>
            Rotate Control
        </button>

        <button class="btn control-pannel__bottom--button" (click)="toggleOBJVisibility()" [disabled]="!selectedModel" >
            <i *ngIf="selectedModel?.visible" class="bi bi-eye"></i>
            <i *ngIf="!selectedModel?.visible" class="bi bi-eye-slash"></i> <br>
            {{!selectedModel?.visible ? 'Hide Component' : 'Show Component' }}
        </button>
        
      
   </div>
   <div></div>
    
</div>



<div class="modal fade"  id="addComponentModal" tabindex="-1" aria-labelledby="addComponentModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Add Component</h5>
          <button type="button" #closeAddComponentModal class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
            <select class="form-select"  [(ngModel)]="componentTypeToImport" aria-label="multiple select example" >
                <option  *ngFor="let comp of componentTypes" [value]="comp">{{comp}}</option>
              </select>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
          <button type="button" class="btn btn-primary" (click)="addComponent()" >Add Component</button>
        </div>
      </div>
    </div>
</div>